#PV450
#Version 2.3
#HW_ECC
# Combined update for Application, Configuration, LDR, and OS

cd /tmp
chmod 777 /tmp/hw-ecc
chmod 777 /tmp/out16
hw_ecc_sts=$(hw-ecc)
if [ -a /tmp/update-loader.tar.gz ]
then
    if [ $hw_ecc_sts -eq 0 ] ; then
        tar -xvmf /tmp/update-loader.tar.gz
        rm -rf /tmp/update-loader.tar.gz
        cd tmp
        ksh ./update.sh
    fi
else
    if [ $hw_ecc_sts -eq 0 ] ; then
        print "HW_ECC not detected, loader update needed"
        if [ -a /tmp/EV_RunUpdateError.sh ]
        then
            ksh /tmp/EV_RunUpdateError.sh
            exit
        fi
        out16 0x53FDC000 0
    fi
fi
         
mkdir /fs/etfs/osTemp
if [ -a /fs/etfs/osTemp ]
then
    cd /fs/etfs/osTemp
    
    tar -xvmf /tmp/update-os.tar.gz
    rm -rf /tmp/update-os.tar.gz
    cd tmp
    ksh update.sh
    
    cd /fs/etfs
    rm -rf osTemp
fi

mkdir /fs/etfs/appTemp
if [ -a /fs/etfs/appTemp ]
then
    cd /fs/etfs/appTemp
    tar -xvmf /tmp/update-apps.tar.gz
    rm -rf /tmp/update-apps.tar.gz
    cd tmp
    ksh update.sh
    cd /fs/etfs
    rm -rf /fs/etfs/appTemp
fi
    
cd /
tar -xvmf /tmp/update-config.tar.gz
cd /tmp
ksh update.sh
rm -rf /tmp/update-config.tar.gz

if [ -a /fs/etfs/config/config0/BinaryData/scripts.as ]
then
    if [ -a /fs/etfs/config/config0/BinaryData/scripts.byt ]
    then
        echo "Script already compiled"
    else
        /fs/etfs/app/ccm/ccm /fs/etfs/config/config0/BinaryData/scripts.as
    fi
fi
