#TYPE:ALL
rev=`uname -r`

if [ -a /fs/etfs/appTemp ]
then
    APPTEMP=/fs/etfs/appTemp/tmp
else
    APPTEMP=/tmp
fi
echo APPTEMP = $APPTEMP

cd /fs/etfs

rm -rf /fs/etfs/app
tar -xvmf $APPTEMP/app.tar app

rm -rf /fs/etfs/script
tar -xvmf $APPTEMP/app.tar script

rm -rf /fs/etfs/temp
tar -xvmf $APPTEMP/app.tar temp

if [ -a /fs/etfs/nvdata ] ; then
    echo "nvdata exists"
else
    tar -xvmf $APPTEMP/app.tar nvdata
fi

if [ -a /fs/etfs/root ] ; then
    echo "root exists"
else
    tar -xvmf $APPTEMP/app.tar root
fi

chown -R 0:0 /fs/etfs/*
chmod -R 777 /fs/etfs/app/*

if [ -f /fs/etfs/config/current/ccm/scripts.as ] ; then
    /fs/etfs/app/asCompile/asCompile /fs/etfs/config/current/ccm/scripts.as
fi

echo Done!
sleep 5
