#TYPE:ALL
rev=`uname -r`

if [ -a /fs/etfs/osTemp ]
then
    OSTEMP=/fs/etfs/osTemp/tmp
else
    OSTEMP=/tmp
fi
echo OSTEMP = $OSTEMP

if [[ -e /proc/boot/pidin && -e /proc/boot/grep ]] ; then
imx31_check=$(pidin syspage=typed_strings | grep -c "i.MX31FWM")
echo Found pidin and grep...
else
imx31_check=1
echo Not Found pidin and grep...
fi
if [[ $imx31_check -eq 1 ]]
then
    /proc/boot/iplctl -f os-imx31.bin
else
    #/proc/boot/iplctl -f os-imx35.bin
    chmod 777 ./hw-platform
    hw_platform_sts=$(hw-platform)
    if [ $hw_platform_sts -eq 0 ] ; then
       print 2K NAND detected    
       chmod 777 ./iplctl-imx35
       ./iplctl-imx35 -f os-imx35.bin
    else
       print 4K NAND detected    
       chmod 777 ./iplctl-imx35-HV700
       ./iplctl-imx35-HV700 -f os-imx35.bin
    fi
fi

if [ -e /fs/etfs/ ] ; then
   print "Found FLASH file system."
   cd /fs/etfs
   rm -rf ./resources/bin
   rm -rf ./resources/boot
   rm -rf ./resources/config
   tar -xmvzf $OSTEMP/filesystem.tar.gz
   cd /fs/etfs/resources/bin
   chmod 777 *
   cd /fs/etfs/resources/boot
   chmod 777 *
   cd /fs/etfs/resources/config
   chmod 444 *
   
    if [[ $imx31_check -eq 1 ]] ; then
        cp -f /fs/etfs/resources/boot/libffb.so.2.imx31 /fs/etfs/resources/boot/libffb.so.2
        cp -f /fs/etfs/resources/boot/libgf.so.1.imx31 /fs/etfs/resources/boot/libgf.so.1
        cp -f /fs/etfs/resources/boot/serial-number-imx31 /fs/etfs/resources/boot/serial-number
        cp -f /fs/etfs/resources/boot/io-interface-imx31 /fs/etfs/resources/boot/io-interface
    else
        cp -f /fs/etfs/resources/boot/libffb.so.2.imx35 /fs/etfs/resources/boot/libffb.so.2
        cp -f /fs/etfs/resources/boot/libgf.so.1.imx35 /fs/etfs/resources/boot/libgf.so.1
        cp -f /fs/etfs/resources/boot/serial-number-imx35 /fs/etfs/resources/boot/serial-number
        cp -f /fs/etfs/resources/boot/io-interface-imx35 /fs/etfs/resources/boot/io-interface
    fi
    rm -f /fs/etfs/resources/boot/libffb.so.2.imx31
    rm -f /fs/etfs/resources/boot/libgf.so.1.imx31
    rm -f /fs/etfs/resources/boot/serial-number-imx31
    rm -f /fs/etfs/resources/boot/io-interface-imx31
    rm -f /fs/etfs/resources/boot/libffb.so.2.imx35
    rm -f /fs/etfs/resources/boot/libgf.so.1.imx35
    rm -f /fs/etfs/resources/boot/serial-number-imx35
    rm -f /fs/etfs/resources/boot/io-interface-imx35
    
fi
echo Done!
sleep 5
